Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1
%global module_name duplexer

Name:           nodejs-%{module_name}
Version:        0.1.1
Release:        alt1_9
Summary:        Creates a duplex stream

License:        MIT
URL:            https://github.com/Raynos/duplexer
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(through)
%endif
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
node test
%endif

%files
%doc README.md LICENCE
%{nodejs_sitelib}/%{module_name}

%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_9
- new version

* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt0.1.njs.bootstrap
- bootstrap

